
jetty_dist=jetty-distribution-7.6.21.v20160908
jetty_tar="$jetty_dist.tar.gz"

if [ ! -e "$jetty_tar" ] ; then
  echo "Downloading: $jetty_tar"
  wget "http://central.maven.org/maven2/org/eclipse/jetty/jetty-distribution/7.6.21.v20160908/$jetty_tar"
fi

if [ ! -d "$jetty_dist" ] ; then
  echo "Untarring $jetty_tar"
  tar xvzf "$jetty_tar"
fi

echo ""
echo "****"
echo "* To change the Jetty server to run on a custom port edit:"
echo "*   <Set name="port"><Property name="jetty.port" default="8080"/></Set>"
echo "* in:"
echo "*   $jetty_dist/etc/jetty.xml"
echo "****"
echo "* To start the server run:"
echo "*    cd \$jetty_dist\" && java -jar start.jar"
echo "****"
echo ""

